Page MenuHomePhabricator

Set the last edited bar max-width similar to T96317
Closed, ResolvedPublic1 Estimated Story Points

Description

The last modified bar should not take up the full screen it should look like this:

Other tasks in the series: T96317, T96332, T96327, and T98385.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 210841 had a related patch set uploaded (by Bmansurov):
Center-align the last-modified bar on tablets

https://gerrit.wikimedia.org/r/210841

bmansurov updated the task description. (Show Details)May 14 2015, 12:48 AM
bmansurov edited a custom field.

@KHammerstein: should the grey background of the last edited bar span the full width of the screen in stable, i.e. when it's immediately under the header? I should've pinged you about this earlier.

@phuedx lets leave it the same in stable for now

Change 210841 merged by jenkins-bot:
Alpha, Beta: Center-align the last-modified bar on tablets

https://gerrit.wikimedia.org/r/210841

Can this be closed and signed off? @phuedx @JKatzWMF

@phuedx I'll sign off when its ready

phuedx added a comment.Jun 2 2015, 3:08 PM

@KHammerstein: It should be ready for sign off now.

@phuedx Is this live on beta labs? I'm not seeing a change.

@bmansurov
I'm seeing this:


It still looks full-width

@KHammerstein, the background is, but the text is center-aligned. Should we make the background center-aligned too? That would look weird, no?

This is what I was trying – and failing, I think – to ask about in T98925#1301061.

@bmansurov It looks a little weird, but not as weird as being full-width when everything else on the page has a constrained width.
Lets make the max width the same as the other tasks. Sorry for the mix-up!

We will update the last modified bar in the future.

@KHammerstein, could you please upload a mock? I'm not sure what the padding should be, should the center-aligned text start at the left where the background starts or should there be a little horizontal padding? Thanks

bmansurov removed bmansurov as the assignee of this task.Jun 15 2015, 5:28 PM
Jdlrobson added a comment.EditedJun 16 2015, 9:25 PM

What does this all mean? (this card is very badly written and unclear)

@KHammerstein: I think the amount of discussion around this warrants a mock. Also remember that the last edited bar is in different positions in stable and beta/alpha.

@bmansurov @phuedx

Good point Sam, I think when we move the max-width to stable that should include moving the last edited bar to the bottom. Its more work but I think will make sense. Should I make a task?

@KHammerstein, thanks. Yes, please create a new task for moving the bar down.

KHammerstein removed KHammerstein as the assignee of this task.Jun 20 2015, 12:26 AM
Jdlrobson updated the task description. (Show Details)Jun 22 2015, 4:41 PM
Jdlrobson updated the task description. (Show Details)

T103141 Last edited bar at moved from top to bottom of article to stable

Change 220627 had a related patch set uploaded (by Bmansurov):
Alpha, beta: Limit the last modified bar background width

https://gerrit.wikimedia.org/r/220627

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 10:49 AM

Change 220627 merged by jenkins-bot:
Alpha, beta: Limit the last modified bar background width

https://gerrit.wikimedia.org/r/220627

phuedx closed this task as Resolved.Jul 3 2015, 11:33 AM

Verified on BC.

Change 222604 had a related patch set uploaded (by Phuedx):
Fix minor regression in tablet pre-content gutter

https://gerrit.wikimedia.org/r/222604

Change 222604 merged by jenkins-bot:
Fix minor regression in tablet pre-content gutter

https://gerrit.wikimedia.org/r/222604